#!/bin/sh
rrdfile='/var/apps/geiger/geiger.rrd'
rrdtool='/usr/bin/rrdtool'
dpath="/var/www/html/graphs/geiger"
alltimeimage="$dpath/geiger.png"
lastweekimage="$dpath/geiger_w.png"
lastmonthimage="$dpath/geiger_m.png"
lasthourimage="$dpath/geiger_h.png"
last4hoursimage="$dpath/geiger_4h.png"
last3monthsimage="$dpath/geiger_3m.png"
lastdayimage="$dpath/geiger_d.png"
alltimeimageusv="$dpath/geigerusv.png"
lastweekimageusv="$dpath/geigerusv_w.png"
lastmonthimageusv="$dpath/geigerusv_m.png"
lasthourimageusv="$dpath/geigerusv_h.png"
last4hoursimageusv="$dpath/geigerusv_4h.png"
last3monthsimageusv="$dpath/geigerusv_3m.png"
lastdayimageusv="$dpath/geigerusv_d.png"
enddate=$(date +%s)
#enddate is the same as "now"


# First the CPM graphs
$rrdtool graph $lasthourimage --end now --start end-1h \
	-w 820 -h 300 -D -l 0 \
        -v 'sbm20 Counts/Min' -t 'Last Hour' \
        DEF:geiger=$rrdfile:geiger:AVERAGE \
	AREA:geiger#9CF2F7 \
	LINE:geiger#0000FF \
        GPRINT:geiger:LAST:"Current\: %1.0lf" \
        GPRINT:geiger:MAX:"Max\: %1.0lf" \
        GPRINT:geiger:MIN:"Min\: %1.0lf" \
        GPRINT:geiger:AVERAGE:"Avg\: %1.0lf"

$rrdtool graph $last4hoursimage --end now --start end-4h \
	-w 820 -h 300 -D -l 0 \
        -v 'sbm20 Counts/Min ' -t 'Last 4 Hours' \
        DEF:geiger=$rrdfile:geiger:AVERAGE \
	AREA:geiger#9CF2F7 \
	LINE:geiger#0000FF \
        GPRINT:geiger:LAST:"Current\: %1.0lf" \
        GPRINT:geiger:MAX:"Max\: %1.0lf" \
        GPRINT:geiger:MIN:"Min\: %1.0lf" \
        GPRINT:geiger:AVERAGE:"Avg\: %1.0lf"


# now the uSv graphs

$rrdtool graph $lasthourimageusv --end now --start end-1h \
	-w 820 -h 300 -D -X 0 -L 4 -l 0 -Y \
        -v 'sbm20 uSv/hour' -t 'Last Hour' \
        DEF:g1=$rrdfile:geiger:AVERAGE \
	CDEF:geiger=g1,57,*,10000,/ \
	AREA:geiger#9CF2F7 \
	LINE:geiger#0000FF \
	VDEF:glast=geiger,LAST \
	VDEF:gmax=geiger,MAXIMUM \
	VDEF:gmin=geiger,MINIMUM \
	VDEF:gave=geiger,AVERAGE \
        GPRINT:glast:"Current\: %1.3lf" \
        GPRINT:gmax:"Max\: %1.3lf" \
        GPRINT:gmin:"Min\: %1.3lf" \
        GPRINT:gave:"Avg\: %1.3lf"

$rrdtool graph $last4hoursimageusv --end now --start end-4h \
	-w 820 -h 300 -D -X 0 -L 4 -l 0 -Y \
        -v 'sbm20 uSv/hour' -t 'Last 4 Hours' \
        DEF:g1=$rrdfile:geiger:AVERAGE \
	CDEF:geiger=g1,57,*,10000,/ \
	AREA:geiger#9CF2F7 \
	LINE:geiger#0000FF \
	VDEF:glast=geiger,LAST \
	VDEF:gmax=geiger,MAXIMUM \
	VDEF:gmin=geiger,MINIMUM \
	VDEF:gave=geiger,AVERAGE \
        GPRINT:glast:"Current\: %1.3lf" \
        GPRINT:gmax:"Max\: %1.3lf" \
        GPRINT:gmin:"Min\: %1.3lf" \
        GPRINT:gave:"Avg\: %1.3lf"

