#!/bin/sh
rrdfile='/var/apps/geiger/geiger.rrd'
rrdtool='/usr/bin/rrdtool'
dpath="/var/www/html/graphs/geiger"
alltimeimage="$dpath/geiger_.png"
lastweekimage="$dpath/geiger_w.png"
lastmonthimage="$dpath/geiger_m.png"
lasthourimage="$dpath/geiger_h.png"
last4hoursimage="$dpath/geiger_4h.png"
last3monthsimage="$dpath/geiger_3m.png"
lastdayimage="$dpath/geiger_d.png"
alltimeimageusv="$dpath/geigerusv.png"
lastweekimageusv="$dpath/geigerusv_w.png"
lastmonthimageusv="$dpath/geigerusv_m.png"
lasthourimageusv="$dpath/geigerusv_h.png"
last4hoursimageusv="$dpath/geigerusv_4h.png"
last3monthsimageusv="$dpath/geigerusv_3m.png"
lastdayimageusv="$dpath/geigerusv_d.png"
enddate=$(date +%s)
#enddate is the same as "now"


# First the CPM graphs

$rrdtool graph $alltimeimage --end now --start 1321603000 -S 604820 \
	-w 820 -h 300 -D -l 0 \
        -v 'sbm20 Counts/Min' -t 'From Begining' \
        DEF:geiger=$rrdfile:geiger:AVERAGE \
	AREA:geiger#9CF2F7 \
	LINE:geiger#0000FF \
	COMMENT:"[weekly accum] " \
        GPRINT:geiger:LAST:"Current\: %1.0lf" \
        GPRINT:geiger:MAX:"Max\: %1.0lf" \
        GPRINT:geiger:MIN:"Min\: %1.0lf" \
        GPRINT:geiger:AVERAGE:"Avg\: %1.0lf"

$rrdtool graph $lastweekimage --start -7d -S 3600 \
	-w 820 -h 300 -D -l 0 \
        -v 'sbm20 Counts/Min' -t 'Last Week' \
        DEF:geiger=$rrdfile:geiger:AVERAGE \
	AREA:geiger#9CF2F7 \
	LINE:geiger#0000FF \
	COMMENT:"[hourly accum] " \
        GPRINT:geiger:LAST:"Current\: %1.0lf" \
        GPRINT:geiger:MAX:"Max\: %1.0lf" \
        GPRINT:geiger:MIN:"Min\: %1.0lf" \
        GPRINT:geiger:AVERAGE:"Avg\: %1.0lf"

$rrdtool graph $lastmonthimage --end now --start -1m  -S 14400 \
	-w 820 -h 300 -D -l 0 \
        -v 'sbm20 Counts/Min' -t 'Last Month' \
        DEF:geiger=$rrdfile:geiger:AVERAGE \
	AREA:geiger#9CF2F7 \
	LINE:geiger#0000FF \
	COMMENT:"[4 hour accum] " \
        GPRINT:geiger:LAST:"Current\: %1.0lf" \
        GPRINT:geiger:MAX:"Max\: %1.0lf" \
        GPRINT:geiger:MIN:"Min\: %1.0lf" \
        GPRINT:geiger:AVERAGE:"Avg\: %1.0lf"

$rrdtool graph $last3monthsimage --end now --start -8035200 -S 86400 \
	-w 820 -h 300 -D -l 0 \
        -v 'sbm20 Counts/Min' -t 'Last 3 Months' \
        DEF:geiger=$rrdfile:geiger:AVERAGE \
	AREA:geiger#9CF2F7 \
	LINE:geiger#0000FF \
	COMMENT:"[daily accum] " \
        GPRINT:geiger:LAST:"Current\: %1.0lf" \
        GPRINT:geiger:MAX:"Max\: %1.0lf" \
        GPRINT:geiger:MIN:"Min\: %1.0lf" \
        GPRINT:geiger:AVERAGE:"Avg\: %1.0lf"

$rrdtool graph $lastdayimage --end now --start -1d -S 600 \
	-w 820 -h 300 -D -l 0 \
        -v 'sbm20 Counts/Min' -t 'Last Day' \
        DEF:geiger=$rrdfile:geiger:AVERAGE:step=60 \
	AREA:geiger#9CF2F7 \
	LINE:geiger#0000FF \
	COMMENT:"[10 mins accum] " \
        GPRINT:geiger:LAST:"Current\: %1.0lf" \
        GPRINT:geiger:MAX:"Max\: %1.0lf" \
        GPRINT:geiger:MIN:"Min\: %1.0lf" \
        GPRINT:geiger:AVERAGE:"Avg\: %1.0lf"

# now the uSv graphs

$rrdtool graph $alltimeimageusv --end now --start 1321603000 -S 604820 \
	-w 820 -h 300 -D -X 0 -L 4 -l 0 -Y \
        -v 'sbm20 uSv/hour' -t 'From Beginning' \
        DEF:g1=$rrdfile:geiger:AVERAGE \
	CDEF:geiger=g1,57,*,10000,/ \
	AREA:geiger#9CF2F7 \
	LINE:geiger#0000FF \
	VDEF:glast=geiger,LAST \
        VDEF:gmax=geiger,MAXIMUM \
        VDEF:gmin=geiger,MINIMUM \
        VDEF:gave=geiger,AVERAGE \
	COMMENT:"[weekly accum] " \
        GPRINT:glast:"Current\: %1.3lf" \
        GPRINT:gmax:"Max\: %1.3lf" \
        GPRINT:gmin:"Min\: %1.3lf" \
        GPRINT:gave:"Avg\: %1.3lf"

$rrdtool graph $lastweekimageusv --start -7d -S 3600 \
	-w 820 -h 300 -D -X 0 -L 4 -l 0 -Y \
        -v 'sbm20 uSv/hour' -t 'Last Week' \
        DEF:g1=$rrdfile:geiger:AVERAGE \
	CDEF:geiger=g1,57,*,10000,/ \
	AREA:geiger#9CF2F7 \
	LINE:geiger#0000FF \
	VDEF:glast=geiger,LAST \
        VDEF:gmax=geiger,MAXIMUM \
        VDEF:gmin=geiger,MINIMUM \
        VDEF:gave=geiger,AVERAGE \
	COMMENT:"[hourly accum] " \
        GPRINT:glast:"Current\: %1.3lf" \
        GPRINT:gmax:"Max\: %1.3lf" \
        GPRINT:gmin:"Min\: %1.3lf" \
        GPRINT:gave:"Avg\: %1.3lf"

$rrdtool graph $lastmonthimageusv --end now --start -1m  -S 14400 \
	-w 820 -h 300 -D -X 0 -L 4 -l 0 -Y \
        -v 'sbm20 uSv/hour' -t 'Last Month' \
        DEF:g1=$rrdfile:geiger:AVERAGE \
	CDEF:geiger=g1,57,*,10000,/ \
	AREA:geiger#9CF2F7 \
	LINE:geiger#0000FF \
	VDEF:glast=geiger,LAST \
        VDEF:gmax=geiger,MAXIMUM \
        VDEF:gmin=geiger,MINIMUM \
        VDEF:gave=geiger,AVERAGE \
	COMMENT:"[4 hour accum] " \
        GPRINT:glast:"Current\: %1.3lf" \
        GPRINT:gmax:"Max\: %1.3lf" \
        GPRINT:gmin:"Min\: %1.3lf" \
        GPRINT:gave:"Avg\: %1.3lf"

$rrdtool graph $last3monthsimageusv --end now --start -8035200 -S 86400 \
	-w 820 -h 300 -D -X 0 -L 4 -l 0 -Y \
        -v 'sbm20 uSv/hour' -t 'Last 3 Months' \
        DEF:g1=$rrdfile:geiger:AVERAGE \
	CDEF:geiger=g1,57,*,10000,/ \
	AREA:geiger#9CF2F7 \
	LINE:geiger#0000FF \
	VDEF:glast=geiger,LAST \
        VDEF:gmax=geiger,MAXIMUM \
        VDEF:gmin=geiger,MINIMUM \
        VDEF:gave=geiger,AVERAGE \
	COMMENT:"[daily accum] " \
        GPRINT:glast:"Current\: %1.3lf" \
        GPRINT:gmax:"Max\: %1.3lf" \
        GPRINT:gmin:"Min\: %1.3lf" \
        GPRINT:gave:"Avg\: %1.3lf"

$rrdtool graph $lastdayimageusv --end now --start -1d -S 600 \
	-w 820 -h 300 -D -X 0 -L 4 -l 0 -Y \
        -v 'sbm20 uSv/hour' -t 'Last Day' \
        DEF:g1=$rrdfile:geiger:AVERAGE:step=60 \
	CDEF:geiger=g1,57,*,10000,/ \
	AREA:geiger#9CF2F7 \
	LINE:geiger#0000FF \
	VDEF:glast=geiger,LAST \
        VDEF:gmax=geiger,MAXIMUM \
        VDEF:gmin=geiger,MINIMUM \
        VDEF:gave=geiger,AVERAGE \
	COMMENT:"[10 mins accum] " \
        GPRINT:glast:"Current\: %1.3lf" \
        GPRINT:gmax:"Max\: %1.3lf" \
        GPRINT:gmin:"Min\: %1.3lf" \
        GPRINT:gave:"Avg\: %1.3lf"


