#!/usr/bin/perl -w
  
use strict;
use warnings;
 
my $file;
my $line;
my $lastchar;
my $rrddb = "/var/apps/geiger/geiger.rrd"; 
 
my $in='/var/apps/geiger/geiger.log';
my $log='/var/apps/geiger/probe.log';
open(GEIG,"<", $in) or die("Could not open file.");
open(LOG, ">>", $log) or die("Could not open file.");

# skip input so far, we only want fresh input
my $offcut = "";
foreach $line (<GEIG>) {
    # but save any incomplete last line
    $lastchar = substr($line, -1, 1);
    if ($lastchar ne "\n" && $line !~ /(SLOW|FAST)$/) {
	$offcut = $line;
    }
}

while(1){
	my $timestamp = `date +%s`;
	my $delay = 60 - ($timestamp % 60);
	$timestamp += $delay;
	sleep $delay;
	my $count = 0;
	    foreach $line (<GEIG>) {
		# restore incomplete last line from previous readline
		$line = $offcut . $line;
		$offcut = "";
		$lastchar = substr($line, -1, 1);
		#print "lastchar is <$lastchar>\n";
		#check for new incomplete line
		if ($lastchar ne "\n" && $line !~ /(SLOW|FAST)$/) {
		    # save incomplete last line, and skip
		    $offcut = $line;
		    print LOG "saving incomplete line <$offcut>\n";
		    next;
		}
		chomp $line;

		# discard empty or malformed lines
		if (length($line) == 0 ) {
		    next;
		}
		my @values = split(',', $line);
		my $arraysize = @values;
		if ($arraysize != 7) {
		    next;
		}

#		print LOG "$line has $arraysize values, ";
		if ($values[6] =~ /SLOW|FAST/) {
		    if (defined $values[1]) {
			$count += $values[1];
		    }
		} else {
		    print LOG "unexpected row type: $values[6], ";
		    $count = 1000;
		}
	    }
	    $timestamp = `date +%s`;
	    chomp $timestamp;
	    print LOG "time=$timestamp, returned count = $count \n";
	    my $result = `rrdtool updatev $rrddb $timestamp:$count`;
	    print LOG "updatev returned: $result";
}
close(GEIG);
close(LOG);
